Main Page Class Hierarchy Compound List File List Compound Members File Members

# UDPSendConnection Class Reference

Connessione UDP di spedizione. More...

`#include <UDPConnection.h>`

Inheritance diagram for UDPSendConnection:

List of all members.

## Public Methods
| UDPSendConnection ()
| Costruttore di Default.
| UDPSendConnection (antStackRef ipStack, int bs)
| Costruttore. More...
| ~UDPSendConnection ()
| Distruttore.
OStatus | initConnection ()
| Inizializza la connessione. More...
OStatus | stop ()
| Blocca la ricezione. More...
byte * | getSendData ()
| Ritorna buffer di spedizione. More...
int | getSendSize ()
| Restituisce la dimensione dei dati. More...
void | setSendSize (int size)
| Imposta la dimensione dei dati da spedire. More...

## Detailed Description

Connessione UDP di spedizione.

Implementa una connessione UDP di sola spedizione.

## Constructor & Destructor Documentation

UDPSendConnection::UDPSendConnection | ( | antStackRef | ipStack,
|  | int | bs
| ) |

  | Costruttore. Costruisce una connessione UDP di spedizione. Parameters:
  ipStack | riferimento allo stack TCP/IP dell'Aibo.
  bs | dimensione del buffer di spedizione in byte.

## Member Function Documentation

byte* UDPSendConnection::getSendData | ( |  | ) | `[inline]`

| Ritorna buffer di spedizione. Ritorna un puntatore al buffer di spedizione della connessione. Returns: puntatore al buffer di spedizione.

int UDPSendConnection::getSendSize | ( |  | ) | `[inline]`

| Restituisce la dimensione dei dati. Restituisce la dimensione in byte dei dati contenuti nel buffer di spedizione in attesa di essere spediti. Returns: dimensione pacchetto da spedire

OStatus UDPSendConnection::initConnection | ( |  | ) | `[virtual]`

| Inizializza la connessione. Inizializza il buffer di spedizione, crea l'endpoint e effettua il bind della connessione. Returns: oSUCCESS se ha avuto successo; oFAIL altrimenti. Implements UDPConnection.

void UDPSendConnection::setSendSize | ( | int | size | ) | `[inline]`

  | Imposta la dimensione dei dati da spedire. Imposta la dimensione in byte dei dati da spedire attraverso la connessione. Parameters:
  size | dimensione dei dati da spedire.

OStatus UDPSendConnection::stop | ( |  | ) | `[virtual]`

| Blocca la ricezione. Chiude la connessione, dopo la chiamata a questo metodo la connessione non sara' piu' utilizzabile, per riutilizzarla sara' necessario chiamare nuovamente initConnection. Returns: oSUCCESS se ha avuto successo; oFAIL altrimenti. Implements UDPConnection.

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/TelepatiUdp/UDPConnection.h
- /home/gilberto/prog/tesi2.31/TelepatiUdp/UDPConnection.cc